Mudlet under Archlinux

A category for whatever! Can be Mudlet-related or offtopic.
Post Reply
chrio
Posts: 66
Joined: Mon Aug 22, 2016 11:34 am

Mudlet under Archlinux

Post by chrio » Tue Aug 30, 2016 10:51 pm

I decided to build Mudlet from source today (under Arch Linux) and was pleasantly surprised at the process. The AUR package for mudlet is out of date, so I opted for cloning the github repo instead and building it manually.

After adding some missing dependencies and running qmake/make/make install, I was ready to try it out using my old profile from windows.

It started just fine, but I was missing my map and all labels/miniconsoles. Turns out that Geyser wasn't loaded, and that was because I was missing some lua libraries.

After some time on google it turned out ok though. Basically I just needed to install community/luarocks5.1. From luarocks5.1 I could then install the missing lua modules:
lrexlib-pcre 2.8.0-1
luafilesystem 1.6.3-2
luasql-sqlite3 2.3.0-1
luazip 1.2.4-1 (The latest version of luazip didnt compile, so I had to use 1.2.4-1 instead.)

After that my profile seems to work the same as under windows. :D

User avatar
SlySven
Posts: 903
Joined: Mon Mar 04, 2013 3:40 pm
Location: Deepest Wiltshire, UK
Discord: SlySven#2703

Re: Mudlet under Archlinux

Post by SlySven » Wed Aug 31, 2016 7:12 pm

What was the luazip version that didn't compile and what was the error message during compilation?

IIRC That library is handled differently on MacOS platforms - we actually include the source code for it in the luazip.h file that is ONLY used on that OS (but needs the libzzip library as well as the libzip one - which is confusing as hell when trying to debug project file issues!) ;)

chrio
Posts: 66
Joined: Mon Aug 22, 2016 11:34 am

Re: Mudlet under Archlinux

Post by chrio » Wed Aug 31, 2016 8:31 pm

It was version 1.2.4-2

Code: Select all

sudo luarocks-5.1 install luazip                             
Installing https://luarocks.org/luazip-1.2.4-2.src.rock...
Using https://luarocks.org/luazip-1.2.4-2.src.rock... switching to 'build' mode
Applying patch 1...
successfully patched src/luazip.c
gcc -O2 -fPIC -I/usr/include/lua5.1 -c src/luazip.c -o src/luazip.o -I/usr/include
src/luazip.c:52:13: error: static declaration of ‘luaL_openlib’ follows non-static declaration
 static void luaL_openlib(lua_State *L, const char* name, const luaL_Reg* lib, int nup) {
             ^~~~~~~~~~~~
In file included from src/luazip.c:15:0:
/usr/include/lua5.1/lauxlib.h:27:22: note: previous declaration of ‘luaL_openlib’ was here
 #define luaI_openlib luaL_openlib
                      ^
/usr/include/lua5.1/lauxlib.h:42:18: note: in expansion of macro ‘luaI_openlib’
 LUALIB_API void (luaI_openlib) (lua_State *L, const char *libname,
                  ^~~~~~~~~~~~

Error: Build error: Failed compiling object src/luazip.o

User avatar
SlySven
Posts: 903
Joined: Mon Mar 04, 2013 3:40 pm
Location: Deepest Wiltshire, UK
Discord: SlySven#2703

Re: Mudlet under Archlinux

Post by SlySven » Thu Sep 01, 2016 12:18 am

I think it seems to be that you'd need to remove the static keyword from line 52 of ./src/luazip.c in the luazip-1.2.3-2.src.rock (archive?) file. (It makes the declaration of luaL_openlib(...) only visible within the luazip.c file if I understand correctly) but why it is there I do not know! ;)

Shryptix
Posts: 3
Joined: Sun Feb 22, 2015 10:31 pm

Re: Mudlet under Archlinux

Post by Shryptix » Mon Jan 16, 2017 3:48 am

Late reply, however:

The mudlet package is pretty outdated.

mudlet-git builds right from the git source.

mudlet-dev is the latest iota preview.

User avatar
SlySven
Posts: 903
Joined: Mon Mar 04, 2013 3:40 pm
Location: Deepest Wiltshire, UK
Discord: SlySven#2703

Re: Mudlet under Archlinux

Post by SlySven » Mon Jan 16, 2017 4:56 pm

Shryptix wrote:...
mudlet-git builds right from the git source.

mudlet-dev is the latest iota preview.
Not quite, mudlet-dev is probably what you mean as the development branch (reports itself as "Mudlet 3.0.1-dev" currently) and it is where new features (such as my interprofile event enhancement) are supposed to go on; whereas iota is currently the latest preview of what we want Mudlet 3.0 to be (the release_30 branch, reports itself as "Mudlet 3.0.0-iota" currently) - we've been trying to nail down and fix bugs on that without adding things - but we have not completely frozen things there, perhaps to Vadims' dismay! ;)

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest